# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class MessageEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<MessageEntry>
                  com.google.gdata.data.extensions.MessageEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class MessageEntry

extends BaseEntry<MessageEntry>

Extension class for manipulating entries of the Message kind.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CHAT_CATEGORY` Category used to label chat message feeds and entries.
`static Category` `INBOX_CATEGORY` Category used to label inbox message feeds and entries.
`static Category` `MESSAGE_CATEGORY` Category used to label any entry that contains Message extensions
`static java.lang.String` `MESSAGE_KIND` Kind term value for Event category labels.
`static Category` `SENT_CATEGORY` Category used to label sent message feeds and entries.
`static Category` `SPAM_CATEGORY` Category used to label spam message feeds and entries.
`static Category` `STARRED_CATEGORY` Category used to label starred message feeds and entries.
`static Category` `UNREAD_CATEGORY` Category used to label unread message feeds and entries.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MessageEntry()` Constructs a new MessageEntry with the appropriate kind category to indicate that it is a message.
`MessageEntry(BaseEntry<?> sourceEntry)` Constructs a new MessaEntry instance by doing a shallow copy of data from an existing BaseEntry instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Initializes an ExtensionProfile based upon the extensions expected by an MessageEntry.
`GeoPt` `getGeoPt()`
`Rating` `getRating()`
`When` `getTime()`
`java.util.List<Who>` `getWhoList()`
`void` `setGeoPt(GeoPt geoPt)`
`void` `setRating(Rating rating)`
`void` `setTime(When when)`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE_KIND

    public static final java.lang.String MESSAGE_KIND

  Kind term value for Event category labels.

  See Also:
    Constant Field Values

### MESSAGE_CATEGORY

    public static final Category MESSAGE_CATEGORY

  Category used to label any entry that contains Message extensions

### STARRED_CATEGORY

    public static final Category STARRED_CATEGORY

  Category used to label starred message feeds and entries.

### UNREAD_CATEGORY

    public static final Category UNREAD_CATEGORY

  Category used to label unread message feeds and entries.

### CHAT_CATEGORY

    public static final Category CHAT_CATEGORY

  Category used to label chat message feeds and entries.

### SPAM_CATEGORY

    public static final Category SPAM_CATEGORY

  Category used to label spam message feeds and entries.

### SENT_CATEGORY

    public static final Category SENT_CATEGORY

  Category used to label sent message feeds and entries.

### INBOX_CATEGORY

    public static final Category INBOX_CATEGORY

  Category used to label inbox message feeds and entries.

Constructor Detail

### MessageEntry

    public MessageEntry()

  Constructs a new MessageEntry with the appropriate kind category to indicate that it is a message.

### MessageEntry

    public MessageEntry(BaseEntry<?> sourceEntry)

  Constructs a new MessaEntry instance by doing a shallow copy of data from an existing BaseEntry instance.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Initializes an ExtensionProfile based upon the extensions expected by an MessageEntry.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getRating

    public Rating getRating()

### setRating

    public void setRating(Rating rating)

### getTime

    public When getTime()

### setTime

    public void setTime(When when)

### getGeoPt

    public GeoPt getGeoPt()

### setGeoPt

    public void setGeoPt(GeoPt geoPt)

### getWhoList

    public java.util.List<Who> getWhoList()